Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.webapp
Class FragmentDescriptor

    java.lang.Object
      org.eclipse.jetty.webapp.Descriptor
          org.eclipse.jetty.webapp.WebDescriptor
              org.eclipse.jetty.webapp.FragmentDescriptor

    public class FragmentDescriptor

extends WebDescriptor

Fragment A web-fragment.xml descriptor.

Nested Class Summary
`static class` | `FragmentDescriptor.OtherType`

Nested classes/interfaces inherited from class org.eclipse.jetty.webapp.WebDescriptor
`WebDescriptor.MetaDataComplete`

Field Summary
`protected java.util.List<java.lang.String>` | `_afters`
`protected java.util.List<java.lang.String>` | `_befores`
`protected int` | `_counter`
`protected java.lang.String` | `_name`
`protected FragmentDescriptor.OtherType` | `_otherType`
`static java.lang.String` | `NAMELESS`

Fields inherited from class org.eclipse.jetty.webapp.WebDescriptor
`_classNames, _distributable, _isOrdered, _majorVersion, _metaDataComplete, _minorVersion, _ordering, _parserSingleton`

Fields inherited from class org.eclipse.jetty.webapp.Descriptor
`_parser, _root, _validating, _xml`

Constructor Summary
`FragmentDescriptor(Resource xml)`

Method Summary
`java.util.List<java.lang.String>` | `getAfters()`
`java.util.List<java.lang.String>` | `getBefores()`
`java.lang.String` | `getName()`
`java.util.List<java.lang.String>` | `getOrdering()`
`FragmentDescriptor.OtherType` | `getOtherType()`
`void` | `parse()`
`void` | `processAfters(XmlParser.Node ordering)`
`void` | `processBefores(XmlParser.Node ordering)`
`void` | `processName()`
`void` | `processOrdering()`

Methods inherited from class org.eclipse.jetty.webapp.WebDescriptor
`addClassName, ensureParser, getClassNames, getMajorVersion, getMetaDataComplete, getMinorVersion, isDistributable, isOrdered, newParser, processVersion, setDistributable, setValidating`

Methods inherited from class org.eclipse.jetty.webapp.Descriptor
`getResource, getRoot, redirect`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMELESS

    public static final java.lang.String NAMELESS

See Also:
  Constant Field Values

### _counter

    protected int _counter

### _otherType

    protected FragmentDescriptor.OtherType _otherType

### _befores

    protected java.util.List<java.lang.String> _befores

### _afters

    protected java.util.List<java.lang.String> _afters

### _name

    protected java.lang.String _name

Constructor Detail

### FragmentDescriptor

    public FragmentDescriptor(Resource xml)
                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### getName

    public java.lang.String getName()

### parse

    public void parse()
               throws java.lang.Exception

  Overrides:
    `parse` in class `WebDescriptor`
  Throws:
    `java.lang.Exception`

### processName

    public void processName()

### processOrdering

    public void processOrdering()

  Overrides:
    `processOrdering` in class `WebDescriptor`

### processBefores

    public void processBefores(XmlParser.Node ordering)

### processAfters

    public void processAfters(XmlParser.Node ordering)

### getBefores

    public java.util.List<java.lang.String> getBefores()

### getAfters

    public java.util.List<java.lang.String> getAfters()

### getOtherType

    public FragmentDescriptor.OtherType getOtherType()

### getOrdering

    public java.util.List<java.lang.String> getOrdering()

  Overrides:
    `getOrdering` in class `WebDescriptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.